{% load cumpa_template_tags %}
<section id="resume" class="section resume">
  <div class="display-table">
    <div class="display-content">
      <div class="container">
        {% for block in value %}
          {% if block.block_type == 'description' %}
            <div class="row">
              <div class="col-lg-12">
                <div class="text-center title">
                  <h2 class="text-dark">My <span class="base-color">Resume</span></h2>
                  {% if block.value %}
                    <p class="text-muted max-width-450 mb-5">{{ block.value }}</p>
                  {% endif %}
                </div>
              </div>
            </div>
          {% elif block.block_type == 'timelines' %}
            <div class="row">
              {% for timeline in block.value %}
                <div class="col-lg-6{% if forloop.counter|divisibleby:2 %} mt-5 mt-lg-0{% endif %}">
                  <h3 class="text-dark">
                    {{ timeline.icon }}{{ timeline.title }}
                  </h3>
                  <div class="timeline-items box-border colorfull-timeline">
                    {% for detail in timeline.details %}
                      <div class="timeline-item timeline-border"
                           data-color="{% cycle '#ff5380' '#fbdd62' '#0bceaf' %}">
                        <div class="timeline-icon data-background"
                             data-color="{% cycle '#ff5380' '#fbdd62' '#0bceaf' %}"></div>
                        <div class="timeline-contents">
                          <div class="time-line-header">
                            <h6 class="timeline-title">{{ detail.title }}</h6>
                            <p class="timeline-year">{{ detail.dates }}</p>
                          </div>
                          <div class="timeline-content">
                            <p>{{ detail.content|safe }}</p>
                          </div>
                        </div>
                      </div>
                    {% endfor %}
                  </div>
                </div>
              {% endfor %}
            </div>
          {% elif block.block_type == 'skills' %}
            <div class="row mt-5">
              {% for skill in block.value %}
                <div class="col-lg-6">
                  <div>
                    <h3 class="mb-0">{{ skill.title }} <span class="base-color"> Skills</span></h3>
                  </div>
                  <div {% if skill.presentation == 'BAR' %}id="skills" class="skill-box box-border"
                       {% elif skill.presentation == 'STAR' %}class="language-bar box-border"{% endif %}>
                    {% for detail in skill.details %}
                      {% if skill.presentation == 'BAR' %}
                        <div class="skillbar clearfix"
                             data-percent="{{ detail.quantity|int_value }}%">
                          <div class="skillbar-title"><span>{{ detail.name }}</span></div>
                          <div class="skillbar-bar fill-skillbar data-background"
                               data-color="{% cycle '#ff5380' '#f9d74c' '#0bceaf' '#0cc0de' %}"></div>
                          <div class="skill-bar-percent">{{ detail.quantity|int_value }}%</div>
                        </div>
                      {% elif skill.presentation == 'STAR' %}
                        <div class="language-skill row">
                          <h4 class="col-6 text-left mb-0">{{ detail.name }} <span> {{ detail.label }}</span></h4>
                          {% cycle '#ff5380' '#f9d74c' '#0bceaf' '#0cc0de' as color silent %}
                          <ul class="col-6 list-inline text-right mb-0">
                            {% parse_star detail.quantity color %}
                          </ul>
                        </div>
                      {% endif %}
                    {% endfor %}
                  </div>
                </div>
              {% endfor %}
            </div>
          {% endif %}
        {% endfor %}
      </div>
    </div>
  </div>
</section>
